/field-mappings
Create new Field Mappings that will be available after the next scheduled sync. This will cause the next sync for this Linked Account to sync ALL data from start.
Authentication
AuthorizationBearer
Token-based authentication with required prefix “Bearer”
Headers
X-Account-Token
Token identifying the end user.
Query parameters
exclude_remote_field_metadata
If true, remote fields metadata is excluded from each field mapping instance (i.e. remote_fields.remote_key_name and remote_fields.schema will be null). This will increase the speed of the request since these fields require some calculations.
Request
This endpoint expects an object.
target_field_name
The name of the target field you want this remote field to map to.
target_field_description
The description of the target field you want this remote field to map to.
remote_field_traversal_path
The field traversal path of the remote field listed when you hit the GET /remote-fields endpoint.
remote_method
The method of the remote endpoint where the remote field is coming from.
remote_url_path
The path of the remote endpoint where the remote field is coming from.
common_model_name
The name of the Common Model that the remote field corresponds to in a given category.
jmes_path
JMES path to specify json query expression to be used on field mapping.
Response
model
warnings
errors
logs